Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.parser
Interface ISDLParserConstants

All Known Implementing Classes:
  ISDLParser, ISDLParserTokenManager

public interface ISDLParserConstants

Field Summary
`static int` | `ADD`
`static int` | `AND`
`static int` | `ARCHITECTURE`
`static int` | `B_AND`
`static int` | `B_COMP`
`static int` | `B_OR`
`static int` | `B_XOR`
`static int` | `BIN_LITERAL`
`static int` | `BOOLEAN_LITERAL`
`static int` | `CHARACTER_LITERAL`
`static int` | `COMMA`
`static int` | `CYCLES`
`static int` | `DECIMAL_LITERAL`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DIV`
`static int` | `DOLLAR`
`static int` | `ELSE`
`static int` | `ENCODING`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `EQUALS`
`static int` | `EXECUTE`
`static int` | `EXTERNAL`
`static int` | `FORMAL_COMMENT`
`static int` | `FORMAT`
`static int` | `GREATER`
`static int` | `GREATEREQ`
`static int` | `HEX_LITERAL`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `IN_FORMAL_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `INLINE`
`static int` | `INSTRUCTION`
`static int` | `INTEGER_LITERAL`
`static int` | `LBRACKET`
`static int` | `LESS`
`static int` | `LESSEQ`
`static int` | `LETTER`
`static int` | `LOCAL`
`static int` | `LPAREN`
`static int` | `MUL`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `NOT`
`static int` | `NOTEQUAL`
`static int` | `OCTAL_LITERAL`
`static int` | `OPERAND`
`static int` | `OR`
`static int` | `PRIORITY`
`static int` | `PSEUDO`
`static int` | `RBRACKET`
`static int` | `REGISTER`
`static int` | `RETURN`
`static int` | `RPAREN`
`static int` | `SEMI`
`static int` | `SHIFTLEFT`
`static int` | `SHIFTRIGHT`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `STRING_LITERAL`
`static int` | `SUB`
`static int` | `SUBROUTINE`
`static int` | `SYNTAX`
`static java.lang.String[]` | `tokenImage`
`static int` | `WHEN`
`static int` | `WHERE`
`static int` | `XOR`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    public static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### HEX_LITERAL

    public static final int HEX_LITERAL

See Also:
  Constant Field Values

### BIN_LITERAL

    public static final int BIN_LITERAL

See Also:
  Constant Field Values

### OCTAL_LITERAL

    public static final int OCTAL_LITERAL

See Also:
  Constant Field Values

### CHARACTER_LITERAL

    public static final int CHARACTER_LITERAL

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### INSTRUCTION

    public static final int INSTRUCTION

See Also:
  Constant Field Values

### ARCHITECTURE

    public static final int ARCHITECTURE

See Also:
  Constant Field Values

### FORMAT

    public static final int FORMAT

See Also:
  Constant Field Values

### OPERAND

    public static final int OPERAND

See Also:
  Constant Field Values

### WHERE

    public static final int WHERE

See Also:
  Constant Field Values

### REGISTER

    public static final int REGISTER

See Also:
  Constant Field Values

### PRIORITY

    public static final int PRIORITY

See Also:
  Constant Field Values

### ENCODING

    public static final int ENCODING

See Also:
  Constant Field Values

### EXECUTE

    public static final int EXECUTE

See Also:
  Constant Field Values

### LOCAL

    public static final int LOCAL

See Also:
  Constant Field Values

### IF

    public static final int IF

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### XOR

    public static final int XOR

See Also:
  Constant Field Values

### SUBROUTINE

    public static final int SUBROUTINE

See Also:
  Constant Field Values

### INLINE

    public static final int INLINE

See Also:
  Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### BOOLEAN_LITERAL

    public static final int BOOLEAN_LITERAL

See Also:
  Constant Field Values

### CYCLES

    public static final int CYCLES

See Also:
  Constant Field Values

### PSEUDO

    public static final int PSEUDO

See Also:
  Constant Field Values

### WHEN

    public static final int WHEN

See Also:
  Constant Field Values

### SYNTAX

    public static final int SYNTAX

See Also:
  Constant Field Values

### LBRACKET

    public static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    public static final int RBRACKET

See Also:
  Constant Field Values

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### SEMI

    public static final int SEMI

See Also:
  Constant Field Values

### SHIFTLEFT

    public static final int SHIFTLEFT

See Also:
  Constant Field Values

### SHIFTRIGHT

    public static final int SHIFTRIGHT

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### SUB

    public static final int SUB

See Also:
  Constant Field Values

### MUL

    public static final int MUL

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### B_AND

    public static final int B_AND

See Also:
  Constant Field Values

### B_OR

    public static final int B_OR

See Also:
  Constant Field Values

### B_XOR

    public static final int B_XOR

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### B_COMP

    public static final int B_COMP

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NOTEQUAL

    public static final int NOTEQUAL

See Also:
  Constant Field Values

### LESS

    public static final int LESS

See Also:
  Constant Field Values

### LESSEQ

    public static final int LESSEQ

See Also:
  Constant Field Values

### GREATER

    public static final int GREATER

See Also:
  Constant Field Values

### GREATEREQ

    public static final int GREATEREQ

See Also:
  Constant Field Values

### DOLLAR

    public static final int DOLLAR

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### IN_FORMAL_COMMENT

    public static final int IN_FORMAL_COMMENT

See Also:
  Constant Field Values

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD